cgGetProgramStateAssignmentValue(3)

NAME
cgGetProgramStateAssignmentValue - get a program-valued state assignment's values

SYNOPSIS
  #include <Cg/cg.h>

  CGprogram cgGetProgramStateAssignmentValue( CGstateassignment sa );

PARAMETERS

sa  The state assignment.

RETURN VALUES
Returns a CGprogram handle.

Returns NULL if an error occurs or no program is available.

DESCRIPTION
cgGetProgramStateAssignmentValue allows the application to retrieve the value(s) of a state assignment that stores a CGprogram.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a program type.

HISTORY
cgGetProgramStateAssignmentValue was introduced in Cg 1.4.

SEE ALSO
cgGetStateAssignmentState, cgGetStateType, cgGetFloatStateAssignmentValues, cgGetIntStateAssignmentValues, cgGetBoolStateAssignmentValues, cgGetStringStateAssignmentValue, cgGetSamplerStateAssignmentValue, cgGetTextureStateAssignmentValue